**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/24.1/binders/binding-rules/update-binder-document-binding-rule.md

# Update Binder Document Binding Rule



<Endpoint path="/api/{version}/objects/binders/{binder_id}/documents/{node_id}/binding_rule" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{node_id}` | The binder node `id` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `binding_rule__v` | Indicates which binding rule to apply (which document versions to link to the section). Options are: `default` (bind to the latest available version (assumed if binding_rule is blank)), `steady-state` (bind to latest version in a steady-state), `current` (bind to current version), or `specific` (bind to a specific version). |
| `major_version_number__v` | If `binding_rule__v=specific`, then this is required and indicates the major version of the document to be linked. Otherwise it is ignored. |
| `minor_version_number__v` | If `binding_rule__v=specific`, then this is required and indicates the major version of the document to be linked. Otherwise it is ignored. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "binding_rule__v=specific" \
-d "major_version_number__v=1" \
-d "minor_version_number__v=0" \
https://myvault.veevavault.com/api/v15.0/objects/binders/566/documents/1427491342404:-1828014479/binding_rule

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "id": "1427491342404:-1828014479"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns the Node ID of the updated document node within the binder



---

**Previous:** [Update Binder Section Binding Rule](/quality/vault-api/api-reference/24.1/binders/binding-rules/update-binder-section-binding-rule)  
**Next:** [Vault Objects](/quality/vault-api/api-reference/24.1/vault-objects)